<?php
/* Copyright (C) 2015		charles-Fr Benke	<charles.fr@benke.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * 	\file       htdocs/setsendmail/class/actions_setsendmail.class.php
 * 	\ingroup    setsendmail
 * 	\brief      Fichier de la classe des actions/hooks de setsendmail
 */
 
class Actionssetsendmail // extends CommonObject 
{
	/** Overloading the doActions function : replacing the parent's function with the one below 
	 *  @param      parameters  meta datas of the hook (context, etc...) 
	 *  @param      object             the object you want to process (an invoice if you are in invoice module, a propale in propale's module, etc...) 
	 *  @param      action             current action (if set). Generally create or edit or null 
	 *  @return       void 
	 */
	function addMoreActionsButtons($parameters, $object, $action) 
	{
		global $conf, $langs, $db;
		// on gre la chose uniquement sur les facture		
		if ($object->element == 'facture')  // seulement predef
		{
			// on vrifie que la case est bien coche
			// il s'agit d'un extrafield de type case  cocher sur la fiche client
			if ($object->client->array_options['options_sendmail'] != '1')
			{
				// si ce n'est pas le cas, on cache le bouton d'envoie de mail
				print "<script>";
				print "$(document).ready(function() {";
				print '$(".butAction:contains(\"'.$langs->trans('SendByMail').'\")").hide();';
				print '});';
				print "</script>";
			}
		}
		return 0;
	}
}
?>